#!/bin/csh 
# ----------------------------------------------------------------------
#Makefile for parallel compiling of poisson.f on blackbear.ahpcc.unm.edu
# ----------------------------------------------------------------------
# variables


FCOMPLR	  = pgf90
FCFLAGS	  = -c  -Mfree  -w -O2   
FINCLPATH = 
CCOMPLR   = pgcc
CFLAGS    = -c -DUNDER
LDFLAGS	  = 
LIBPATH   = 
LIB	  =  


#============================================================================ 
# make PROGRAM   
#============================================================================

PROGRAM = poisson

OBJECTS = cpu_time.o            \
          string_utilities.o	\
	  poisson_routines.o	\
	  poisson.o	
   
#============================================================================ 
# Linking    
#============================================================================

$(PROGRAM) : $(OBJECTS) 
	$(FCOMPLR) $(LDFLAGS)  $(OBJECTS)  $(LIBPATH) $(LIB) -o $@


#============================================================================
#  specific dependencies
#============================================================================
cpu_time.o:  cpu_time.c
	$(CCOMPLR) $(CFLAGS)   cpu_time.c

string_utilities.o:  string_utilities.f
	$(FCOMPLR) $(FCFLAGS) $(FINCLPATH)  string_utilities.f

poisson_routines.o:  poisson_routines.f 
	$(FCOMPLR) $(FCFLAGS) $(FINCLPATH)  poisson_routines.f

poisson.o:  poisson.f poisson_routines.o string_utilities.o
	$(FCOMPLR) $(FCFLAGS) $(FINCLPATH) poisson.f

#============================================================================
#  clean up
#============================================================================

clean :
	rm *.o 

